# xarray.DataArray.reindex

`DataArray.``reindex`(method=None, tolerance=None, copy=True, **indexers)

  Conform this object onto a new set of indexes, filling in missing values with NaN.

  Parameters:

  copy : bool, optional

  > If `copy=True`, data in the return value is always copied. If `copy=False` and reindexing is unnecessary, or can be performed with only slice operations, then the output may share memory with the input. In either case, a new xarray object is always returned.

  method : {None, ‘nearest’, ‘pad’/’ffill’, ‘backfill’/’bfill’}, optional

  > Method to use for filling index values in `indexers` not found on this data array:

  > - None (default): don’t fill gaps
  > - pad / ffill: propagate last valid index value forward
  > - backfill / bfill: propagate next valid index value backward
  > - nearest: use nearest valid index value (requires pandas>=0.16)

  tolerance : optional

  > Maximum distance between original and new labels for inexact matches. The values of the index at the matching locations most satisfy the equation `abs(index[indexer] - target) <= tolerance`.

  **indexers : dict

  > Dictionary with keys given by dimension names and values given by arrays of coordinates tick labels. Any mis-matched coordinate values will be filled in with NaN, and any mis-matched dimension names will simply be ignored.

  Returns:

  reindexed : DataArray

  > Another dataset array, with this array’s data but replaced coordinates.

  See also

  `DataArray.reindex_like`, `align`